Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyMemberDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

All Implemented Interfaces:
  GroovyMemberDoc

    class SimpleGroovyMemberDoc
    extends SimpleGroovyProgramElementDoc

Field Summary
`protected GroovyClassDoc` | `belongsToClass`

Constructor Summary
`SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)`

Method Summary
`GroovyClassDoc` | `getBelongsToClass()`
`boolean` | `isAbstract()`
`boolean` | `isSynthetic()`
`void` | `setAbstract(boolean b)`
`void` | `setRawCommentText(String rawCommentText)`

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### belongsToClass

    protected GroovyClassDoc belongsToClass

Constructor Detail

### SimpleGroovyMemberDoc

    public SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)

Method Detail

### getBelongsToClass

    public GroovyClassDoc getBelongsToClass()

### isAbstract

    public boolean isAbstract()

### isSynthetic

    public boolean isSynthetic()

### setAbstract

    public void setAbstract(boolean b)

### setRawCommentText

    public void setRawCommentText(String rawCommentText)

Copyright © 2003-2009 The Codehaus. All rights reserved.